aboutsummaryrefslogtreecommitdiff
path: root/.local/bin/unmounter
diff options
context:
space:
mode:
authorkrolxon <krolyxon@tutanota.com>2025-08-25 15:44:14 +0530
committerkrolxon <krolyxon@tutanota.com>2025-08-25 15:44:14 +0530
commitffeaf344c429ab195160be967a5fb62346f3eed9 (patch)
tree5cb9ebeca9d292a6a1b09b5398e88a276c67b18c /.local/bin/unmounter
parenta81ab033ec5ac0cdbdddfc31f242aee7cb5aee4e (diff)
move to fuzzel from rofi
rofi is bad when it comes to fuzzy matching and also you cannot execute command as it is, for example you cannot pass arguements to commands like "setwall -m". Fuzzel is way simpler, natively supports wayland and is a drop in replacement for dmenu.
Diffstat (limited to '.local/bin/unmounter')
-rwxr-xr-x.local/bin/unmounter4
1 files changed, 2 insertions, 2 deletions
diff --git a/.local/bin/unmounter b/.local/bin/unmounter
index 184b3ae..796fd76 100755
--- a/.local/bin/unmounter
+++ b/.local/bin/unmounter
@@ -1,12 +1,12 @@
#!/bin/sh
-# A rofi -dmenu prompt to unmount drives.
+# A dmenu prompt to unmount drives.
# Provides you with mounted partitions, select one to unmount.
# Drives mounted at /, /boot and /home will not be options to unmount.
unmountusb() {
[ -z "$drives" ] && exit
- chosen="$(echo "$drives" | rofi -dmenu -i -p "Unmount which drive?")" || exit 1
+ chosen="$(echo "$drives" | fuzzel -d -i -p "Unmount which drive?")" || exit 1
chosen="$(echo "$chosen" | awk '{print $1}')"
[ -z "$chosen" ] && exit
sudo -A umount "$chosen" && notify-send "💻 USB unmounting" "$chosen unmounted."